### Function

# Soup header_g_string_append_param_quoted

since: 3.0

#### Declaration [src]

    void
    soup_header_g_string_append_param_quoted (
      GString* string,
      const char* name,
      const char* value
    )

#### Description [src]

Appends something like `name="value"` to `string`, taking care to escape any quotes or backslashes in `value`.

If `value` is (non-ASCII) UTF-8, this will instead use RFC 5987 encoding, just like `soup_header_g_string_append_param()`.

Available since: 3.0

#### Parameters

`string`

  Type: `GString`

  A `GString` being used to construct an HTTP header value.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  A parameter name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  A parameter value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.